<?php
use WpBookingEvent\Factory;
use WpBookingEvent\Html\WpBookingEventHtmlBackend;
use WpBookingEvent\Language\Text;
use WpBookingEvent\Mvc\Model\Model;
use WpBookingEvent\Utilities\Utility;
defined('_WPBOOKINGEVENT_EXEC') or die;
extract($displayData);

$id_by_name = "element_field_" . str_replace(array('[', ']'), '_', $name);

$repeat = array('does not repeat','Daily' ,'Weekly' ,'Monthly' ,'Yearly');

if(isset($value) && trim($value) != '') {
    $arr_value= json_decode($value);
} else {
    $arr_value=array();
}
?>
    <div id="<?php esc_html_e($id_by_name) ?>" class="<?php esc_html_e($class); ?> element-field-selectrepeat">
        <?php foreach ($repeat as $item) {?>
            <label class="name-repeat <?php esc_html_e(strtolower($item));?>">
                <input type="checkbox" class="repeat" name="<?php esc_html_e(strtolower($item));?>" value="<?php esc_html_e($item);?>" <?php echo(in_array($item,$arr_value)? 'checked':''); ?>/>
                <?php esc_html_e($item);?>
            </label>
        <?php }?>
        <input type="hidden" name="<?php esc_html_e($name);?>">
    </div>
<?php
$doc = Factory::getDocument();
WpBookingEventHtmlBackend::load_jquery_library('icheck');
$doc->addLessStyleSheet('admin/app/layouts/WooBooking/form/field/selectrepeat/selectrepeat.less');
$doc->addScriptApplySelector('.element-field-selectrepeat','field_selectrepeat',array(
        'input_name'=>$name,
        'value'=>$arr_value
),'admin/app/layouts/WooBooking/form/field/selectrepeat/selectrepeat.jquery.js');
